{
	saved_firsttime [1]

	Init[ ()
	{
		if(saved_firsttime = 1)
		{
			saved_firsttime = 0;
			SetNationality(1);
			GiveWeapon(56);
			PlayAnimation(7);
			DropWeaponOnDeath( false );
		}
	}]

	ReachedDestination[ (dn)
	{
		if( dn=70 ) { AttackMoody(1); return;}
		if( dn=74 )
		{
			SetCrouching();
			PlayAnimation(10);
			TurnTo(Level.GetPlayer());
			Attack(Level.GetPlayer());
			return;
		}
		//if( dn=74 ) { AttackMoody(0); }
	}]

	AttackMoody[ (mode)
	{
		Moody = Level.GetEntity("moody");
		switch( mode )
		{
			case 0 { PlayAnimation(10); } // aim crouched
			case 1 { PlayAnimation(13); } // aim standing
		}
		TurnTo( Moody );
		Attack( Moody );
	}]

	OnDecay[ ()
	{
		if( not Level.IsObjectiveComplete(5) )
		{
			if( self.GetID() = "enemy34" )
			{
				SetPosition(9088,40064,384);
				SetDead( false, 0 );
				SetHealth(256);
				SetCrouching();
				PlayAnimation(1);
				WalkTo(14374,40934,70,3);
				return;
			}

			if( self.GetID() = "bubba3" )
			{
				SetPosition(13952,36736,192);
				SetDead( false, 0 );
				SetHealth(256);
				SetCrouching();
				PlayAnimation(1);
				WalkTo(14665,40082,74,3);
				return;
			}
		}
	}]
}